/***************************************************************************
 *   Copyright (C) 2005 by Pavel Vymetálek   *
 *   pvymetalek@seznam.cz   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef HEXBINH
#define HEXBINH


/* size in bytes */
#define MEMORY_SIZE 64*1024

/* This mask is for mapping the target binary inside our
binary buffer. If for example, we are generating a binary
file with records starting at FFF00000, the bytes will be
stored at the beginning of the memory buffer. */
#define ADDRESS_MASK 0x000F0000

/* We use buffer to speed disk access. */
#ifdef USE_FILE_BUFFERS
#define BUFFSZ 4096
#endif

#ifndef TRUE
#define TRUE 1
#define FALSE 0
#endif



#define LINEAR_ADDRESS 1
#define SEGMENTED_ADDRESS 2

/* Application specific */

unsigned int 	Nb_Bytes;
unsigned int 	First_Word, Address, Segment, Upper_Address;
unsigned int      Lowest_Address, Highest_Address, Starting_Address;
unsigned int 	Phys_Addr, Type;
unsigned int 	temp;

/* line inputted from file */
char Line[MAX_LINE_SIZE];

int hex_to_bin (void);

#endif
